<?php
namespace App\Soap;

/**
 * Soap client options
 * @author oana
 */
class SoapClientOptions extends \Engine\Soap\SoapClientOptions
{
	// SET TRACE
	public $trace = 1;

	/**
	 * Set some proxy settings
	 */
	public function __construct()
	{
		// SET PROXY SETTINGS
		if (\App\Config\ProxySettings::getInstance()->get('host')) {
			$this->proxy_host = 		\App\Config\ProxySettings::getInstance()->get('host');
			$this->proxy_port = 		\App\Config\ProxySettings::getInstance()->get('port');
			$this->proxy_login = 		\App\Config\ProxySettings::getInstance()->get('user');
			$this->proxy_password = 	\App\Config\ProxySettings::getInstance()->get('pass');
		}
		parent::__construct();
	}
}